Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class TagHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler

All Implemented Interfaces:
  FaceletHandler

Direct Known Subclasses:
  MetaTagHandler

    public abstract class TagHandler

extends java.lang.Object
implements FaceletHandler

Foundation class for `FaceletHandler`s associated with a markup element in a Facelet document. This class introduces the concept of XML attributes to Facelets. See the constructor documentation for more details.

Since:
  2.0

Field Summary
`protected FaceletHandler` | `nextHandler` A reference to the `FaceletHandler` that represents the first nested child of this `TagHandler` instance.
`protected Tag` | `tag` A reference to the `Tag` instance corresponding to this `TagHandler` instance.
`protected java.lang.String` | `tagId` See `TagConfig.getTagId()`.

Constructor Summary
`TagHandler(TagConfig config)` Every `TagHandler` instance is associated with a `Tag`.

Method Summary
`protected TagAttribute` | `getAttribute(java.lang.String localName)` Utility method for fetching the appropriate TagAttribute
`protected TagAttribute` | `getRequiredAttribute(java.lang.String localName)` Utility method for fetching a required TagAttribute
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.faces.view.facelets.FaceletHandler
`apply`

Field Detail

### tagId

    protected final java.lang.String tagId

  See `TagConfig.getTagId()`.

### tag

    protected final Tag tag

  A reference to the `Tag` instance corresponding to this `TagHandler` instance.

### nextHandler

    protected final FaceletHandler nextHandler

  A reference to the `FaceletHandler` that represents the first nested child of this `TagHandler` instance.

Constructor Detail

### TagHandler

    public TagHandler(TagConfig config)

  Every `TagHandler` instance is associated with a `Tag`. Each `Tag` instance has a `TagAttributes` property, which is simply a collection of `TagAttribute` instances. Extract and save as protected instance variables the `TagConfig.getTagId()`, `TagConfig.getTag()` and `TagConfig.getNextHandler()` returns from the argument `TagConfig`. This constructor is only called when the Facelets View is compiled.

  Parameters:
    `config` - The structure that contains useful to the operation of this instance.

Method Detail

### getAttribute

    protected final TagAttribute getAttribute(java.lang.String localName)

  Utility method for fetching the appropriate TagAttribute

  Parameters:
    `localName` - name of attribute
  Returns:
    TagAttribute if found, otherwise null

### getRequiredAttribute

    protected final TagAttribute getRequiredAttribute(java.lang.String localName)
                                               throws TagException

  Utility method for fetching a required TagAttribute

  Parameters:
    `localName` - name of the attribute
  Returns:
    TagAttribute if found, otherwise error
  Throws:
    `TagException` - if the attribute was not found

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.